#!/usr/bin/env python3
from healthcheck import HealthCheck
from flask import Flask


def health_database_status():
    return True, f'db is ok'


def register_health_checks(app: Flask):
    health = HealthCheck()
    health.add_check(health_database_status)
    app.add_url_rule("/healthz", "healthcheck", view_func=lambda: health.run())
